setwd("/home/thom/Dropbox/Partners/A2I2/5-GAMMI/")
x <- read.csv("data-out/dba-data/1a-selbal-crohn-x.csv", row.names = 1)
y <- read.csv("data-out/dba-data/1a-selbal-crohn-y.csv", row.names = 1)
source("5-coda-lasso-backend.R")
sigmoid <- function(x) 1/(1 + exp(-x))

res <- lapply(1:100, function(inst){
  
  train <- sample(1:nrow(x), size = ceiling(.67*nrow(x)))
  test <- setdiff(1:nrow(x), train)
  intersect(train, test) # OK
  
  m <- coda_logistic_lasso(y[train,], x[train,], .1)
  
  deploy <- test
  
  a <- apply(x[deploy,], 1, function(z) sum(log(z)*m$betas[-1]) + m$betas[1])
  plot(sigmoid(a) ~ y[deploy,1], ylim = c(0, 1))
  ROCR::performance(
    ROCR::prediction(predictions = a,
                     labels = y[deploy,1]),
    measure = "auc")@y.values
})
mean(unlist(res))
