setwd("/home/thom/Dropbox/Partners/A2I2/5-GAMMI/")
files_dba_x <- list.files(path = "data-out/dba-data/", pattern = "-x", full.names = TRUE)
files_dba_y <- list.files(path = "data-out/dba-data/", pattern = "-y", full.names = TRUE)
files_mlrepo_x <- list.files(path = "data-out/mlrepo-data/", pattern = "-x", full.names = TRUE)
files_mlrepo_y <- list.files(path = "data-out/mlrepo-data/", pattern = "-y", full.names = TRUE)
dat_x <- lapply(c(files_dba_x, files_mlrepo_x), read.csv, row.names = 1)
dat_y <- lapply(c(files_dba_y, files_mlrepo_y), read.csv, row.names = 1)

all(sapply(dat_y, function(x) length(table(x[,1]))) == 2) # OK
g1 <- sapply(dat_y, function(x) table(x[,1])[1])
g2 <- sapply(dat_y, function(x) table(x[,1])[2])

df <- data.frame(
  "ID" = basename(c(files_dba_x, files_mlrepo_x)),
  "Samples" = sapply(dat_x, nrow),
  "Features" = sapply(dat_x, ncol),
  "Group 1" = names(g1),
  "Group 1 (size)" = g1,
  "Group 2" = names(g2),
  "Group 2 (size)" = g2
)

write.csv(df, file = "e-table.csv")
