files <- list.files("/home/thom/Dropbox/Projects/data/Benchmark-MLRepo/data-out/",
                    full.names = TRUE)
files.base <- unique(gsub("(-x\\.csv)|(-y\\.csv)", "", files))

system("mkdir data-out/mlrepo-data")
for(i in 1:length(files.base)){
  
  x <- read.csv(paste0(files.base[i], "-x.csv"), row.names = 1)
  y <- read.csv(paste0(files.base[i], "-y.csv"), row.names = 1)
  
  if(class(y[,1]) == "factor" & min(table(y[,1])) >= 50 & nrow(x) >= 100){
    
    print(dim(x))
    
    write.csv(x+1, file = paste0(
      "/home/thom/Dropbox/Partners/A2I2/5-GAMMI/data-out/mlrepo-data/",
      basename(files.base[i]), "-x.csv"))
    write.csv(y, file = paste0(
      "/home/thom/Dropbox/Partners/A2I2/5-GAMMI/data-out/mlrepo-data/",
      basename(files.base[i]), "-y.csv"))
  }
}
